:root {
  --primary-color: #0055ff;

  --background-color: #f4f6f9;
}

[v-cloak] {
  opacity: 0 !important;
}

html,
body {
  display: flex;
  flex-flow: column nowrap;
  padding: 0;
  margin: 0;
  font-family:
    -apple-system,
    BlinkMacSystemFont,
    Segoe UI,
    PingFang SC,
    Hiragino Sans GB,
    Microsoft YaHei,
    Helvetica Neue,
    Helvetica,
    Arial,
    sans-serif,
    Apple Color Emoji,
    Segoe UI Emoji,
    Segoe UI Symbol;
  background: var(--background-color);
  min-height: 100vh;
  /* min-width: 1200px; */
}

@media screen and (max-width: 768px) {
  html,
  body {
    min-width: 100%;
    overflow-x: hidden;
  }
}

* {
  box-sizing: border-box;
}

a {
  text-decoration: none;
  color: rgba(0, 0, 0, 0.88);
  font-style: normal;
  transition: color ease 0.2s;
}

a.checked,
a:hover {
  color: var(--primary-color);
}

.header {
  display: flex;
  flex-flow: row nowrap;
  justify-content: space-between;
  align-items: center;
  padding: 0 5%;
  width: 100%;
  height: 132px;
  background: #ffffff;
  user-select: none;
  min-width: 1200px;
}

.header > h1 > a,
.header > div > a {
  display: block;
  width: 192px;
  height: 52px;
  background-repeat: no-repeat;
  background-position: left top;
  background-size: contain;
  overflow: hidden;
  white-space: nowrap;
  text-indent: 1000px;
}

.extend-btn {
  display: none;
}

.header > nav {
  padding: 0;
  margin: 0;
  padding-left: 110px;
  height: 100%;
}

.header > nav > ul {
  display: flex;
  flex-flow: row nowrap;
  align-items: center;
  list-style: none;
  height: 100%;
  padding: 0;
  margin: 0;
}

.header > nav > ul > li {
  display: flex;
  position: relative;
  justify-content: center;
  align-items: center;
  min-width: 176px;
  padding: 0 48px;
  height: 100%;
}

.header > nav > ul > li > a {
  font-weight: 400;
  font-size: 20px;
  font-weight: bold;
  color: rgba(0, 0, 0, 0.88);
  line-height: 28px;
  text-align: left;
  font-style: normal;
  position: relative;
}

.header > nav > ul > li > a:hover {
  color: #0055ff;
}

.header > nav > ul > li > a::after {
  content: '';
  position: absolute;
  bottom: -17px;
  left: calc(50% - 12px);
  width: 24px;
  height: 2px;
  background-color: #007bff;
  transform: scaleX(0);
  transition: transform 0.3s ease;
}

.header > nav > ul > li > a:hover::after {
  transform: scaleX(1);
}

.submenu {
  display: none;
  position: absolute;
  top: 100%;
  left: 0;
  background: #f3f6f8;
  list-style: none;
  margin: 0;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
  z-index: 1000;
  width: 100%;
  padding: 0;
}

.submenu li {
  display: flex;
  justify-content: center;
  align-items: center;
}

.submenu li {
  padding-top: 32px;
}
.submenu li:last-child {
  padding-bottom: 32px;
}

.submenu li a {
  font-weight: 400;
  font-size: 20px;
  color: rgba(0, 0, 0, 0.88);
  line-height: 20px;
  text-align: center;
  font-style: normal;
}

.submenu li a:hover {
  color: rgba(0, 85, 255, 0.88);
}

.dropdown:hover .submenu {
  display: block;
}

.header > .signin {
  margin-left: auto;
  transition: color ease 0.2s;
  font-weight: bold;

  border: none;
  background-color: transparent;
  background-image: none;
  padding: 0;
  font-family: inherit;
  font-size: inherit;
  color: inherit;
  outline: none;
  cursor: pointer;
}

.header > .signin:hover,
.header > .signin:active {
  color: var(--primary-color);
  background-color: transparent;
  border: none;
}

.header > .user {
  margin-left: auto;
}

.header > .user > .ant-dropdown-link {
  display: flex;
  flex-flow: row nowrap;
  align-items: center;
  justify-content: center;
  cursor: pointer;
}

.header > .user .avatar {
  display: block;
  width: 36px;
  height: 36px;
  overflow: hidden;
  border-radius: 18px;
  background-color: #efefef;
}

.header > .user .nickname {
  margin-left: 8px;
  display: block;
  max-width: 60px;
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
}

.main {
  flex: 1;
  min-width: 1200px;
}

.main > .content {
  margin: auto;
  margin-top: 24px;
  margin-bottom: 24px;
  width: 1200px;
}

.footer {
  margin-top: auto;
  width: 100%;
  background: rgba(28, 35, 31, 0.02);
  user-select: none;
}

.footer > .info {
  display: flex;
  flex-flow: row nowrap;
  align-items: flex-start;
  justify-content: space-between;
  padding: 42px 0;
  margin: auto;
  width: 100%;
  max-width: 1200px;
  border-bottom: 1px solid rgba(28, 31, 35, 0.05);
}

.footer > .info h4 {
  font-weight: bold;
  font-size: 16px;
  color: rgba(0, 0, 0, 0.45);
  line-height: 28px;
  font-style: normal;
}

.footer > .info ul {
  list-style: none;
  padding: 0;
}

.footer > .info ul li {
  margin-bottom: 12px;
}

.footer > .info ul li a {
  font-weight: bold;
  font-size: 14px;
  color: rgba(0, 0, 0, 0.88);
  line-height: 22px;
  font-style: normal;
}

.footer > .info ul li a:hover {
  font-weight: bold;
  font-size: 14px;
  color: var(--primary-color);
  line-height: 22px;
  font-style: normal;
}

.footer > .info > .logo > h4 > a {
  display: block;
  width: 245px;
  height: 64px;
  background-repeat: no-repeat;
  background-position: left top;
  background-size: contain;
  overflow: hidden;
  white-space: nowrap;
  text-indent: 1000px;
}

.footer > .info > .navigation {
  margin-left: auto;
  margin-right: 140px;
}

.footer > .info > .link {
  margin-right: 160px;
}

.footer > .info > .subscriptions {
  margin-right: 0;
}

.footer > .info > .subscriptions > p {
  line-height: 0;
  text-align: center;
  font-size: 14px;
  color: rgba(0, 0, 0, 0.88);
  line-height: 22px;
  font-style: normal;
  font-weight: bold;
}

.footer > .info > .subscriptions > p > img {
  width: 106px;
  height: 106px;
}

.footer > .icp {
  margin: auto;
  width: 100%;
  max-width: 1200px;
  height: 77px;
  font-size: 14px;
  text-align: center;
}

.footer > .icp > p {
  line-height: 77px;
  font-weight: bold;
}

.signin-modal {
  user-select: none;
  box-sizing: border-box;
}

.signin-modal .ant-modal-content {
  padding: 60px;
  box-sizing: border-box;
  overflow: hidden;
}

.signin-modal .ant-tabs-nav {
  margin-bottom: 33px;
}

.signin-modal .ant-tabs-tab {
  padding: 18px 34px !important;
}

.signin-modal .ant-tabs-tab .ant-tabs-tab-btn {
  font-weight: bold;
  font-size: 20px;
}

.signin-modal .btn-submit {
  height: 48px;
  margin-top: 32px;
  font-size: 20px;
}

.signin-modal .btn-submit.ok {
  margin-top: 16px;
  margin-bottom: 24px;
}

.signin-modal .signin-op,
.signin-modal .forget-op {
  display: flex;
  flex-flow: row nowrap;
  align-items: center;
  justify-content: space-between;
  font-size: 16px;
  color: rgba(0, 0, 0, 0.88);
  font-style: normal;
}

.signin-modal .signin-op > a,
.signin-modal .signup-op > a,
.signin-modal .forget-op > a {
  font-weight: 400;
  font-size: 16px;
}

.signin-modal .signin-op > a:hover,
.signin-modal .signup-op > a:hover,
.signin-modal .forget-op > a:hover {
  filter: brightness(1.1);
}

.signin-modal .signin-op > a.signup,
.signin-modal .signup-op > a,
.signin-modal .forget-op > a {
  color: var(--primary-color);
}

.signin-modal .signup-op {
  display: flex;
  flex-flow: row nowrap;
  align-items: center;
  justify-content: center;
  font-size: 16px;
  color: rgba(0, 0, 0, 0.88);
  font-style: normal;
}

.signin-modal .send {
  width: 100px;
  padding-left: 10px;
  display: block;
  font-weight: 400;
  font-size: 16px;
  color: rgba(0, 0, 0, 0.88);
  line-height: 22px;
  font-style: normal;
  cursor: pointer;
  border-left: 1px solid rgba(0, 0, 0, 0.06);
  text-align: center;
}

.signin-modal .send:hover {
  color: var(--primary-color);
}

.signin-modal .sended {
  width: 100px;
  padding-left: 10px;
  display: block;
  font-weight: 400;
  font-size: 16px;
  line-height: 22px;
  font-style: normal;
  cursor: pointer;
  border-left: 1px solid #ececec;
  text-align: center;
  color: rgba(0, 0, 0, 0.25);
}

.signin-modal .title {
  position: relative;
  margin-bottom: 50px;
  font-weight: bold;
  font-size: 20px;
  color: #11c898;
  line-height: 28px;
  text-align: left;
  font-style: normal;
  text-align: center;
}

.signin-modal .title::before {
  content: '';
  position: absolute;
  margin: auto;
  left: 32px;
  top: 0;
  bottom: 0;
  width: 104px;
  height: 1px;
  border-top: 1px solid rgba(0, 0, 0, 0.06);
}

.signin-modal .title::after {
  content: '';
  position: absolute;
  margin: auto;
  right: 32px;
  top: 0;
  bottom: 0;
  width: 104px;
  height: 1px;
  border-top: 1px solid rgba(0, 0, 0, 0.06);
}

.signin-modal .steps {
  margin-bottom: 50px;
}

.signin-modal .forget-tabs .ant-tabs-nav {
  display: none;
}

.signin-modal .router {
  position: relative;
}

.slides-enter-active,
.slides-leave-active {
  transition: all 0.12s ease;
}

.slides-enter-from {
  opacity: 0;
  transform: translateX(-100%);
}

.slides-leave-to {
  opacity: 0;
  transform: translateX(100%);
}

.pagination-ejs {
  width: 100%;
  display: flex;
  flex-flow: row nowrap;
  align-items: center;
  justify-content: flex-end;
  font-size: 14px;
  user-select: none;
}

.pagination-ejs .total {
  margin-right: 16px;
}

.pagination-ejs ul {
  padding: 0;
  margin: 0;
  display: flex;
  flex-flow: row nowrap;
  align-items: center;
  list-style: none;
}

.pagination-ejs ul li {
  margin-right: 8px;
}

.pagination-ejs ul li.ellipsis {
  color: rgba(0, 0, 0, 0.25);
}

.pagination-ejs ul li a {
  display: block;
  width: 32px;
  height: 32px;
  text-align: center;
  line-height: 32px;
  border-radius: 4px;
  font-weight: normal;
}

.pagination-ejs ul li.common a {
  width: 64px;
}

.pagination-ejs ul li a:hover {
  color: inherit;
  background-color: rgba(0, 0, 0, 0.06);
}

.pagination-ejs ul li a.active {
  border: 1px solid var(--primary-color);
  color: var(--primary-color);
}

.pagination-ejs ul li a.active:hover {
  background-color: transparent;
}

span.tag {
  display: inline-block;
  padding: 0 8px;
  min-width: 40px;
  border-radius: 4px;
  user-select: none;
  font-size: 14px;
  text-align: center;
  line-height: 22px;
  border: 1px solid rgba(0, 0, 0, 0.15);
  white-space: nowrap;
  overflow: hidden;
}

span.tag.info {
  color: #1677ff;
  background: #e6f4ff;
  border: 1px solid #bae0ff;
}

span.tag.warning {
  color: #faad14;
  background: #fffbe6;
  border: 1px solid #fff1b8;
}

span.tag.error {
  color: #ff4d4f;
  background: #fff1f0;
  border: 1px solid #ffccc7;
}

span.tag.success {
  color: #52c41a;
  background: #f6ffed;
  border: 1px solid #d9f7be;
}

.drawer {
  display: none;
  position: fixed;
  top: 56px;
  left: -100%;
  width: 100%;
  height: 100%;
  background: white;
  z-index: 1000;
  transition: left 0.3s ease-in-out;
}

.drawer.active {
  left: 0;
}

.drawer > ul {
  list-style: none;
  padding: 0 40px;
  width: 100%;
}

.drawer > ul > li {
  list-style: none;
  font-weight: bold;
  font-size: 14px;
  color: rgba(0, 0, 0, 0.88);
  line-height: 22px;
  text-align: left;
  font-style: normal;
  width: 100%;
  padding: 16px 0;
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
  border-bottom: 1px solid #f1f1f1;
}

.drawer > ul > li > img {
  width: 13px;
  height: 9px;
}
.drawer-submenu {
  width: 100%;
  list-style: none;
  padding: 0;
  display: block;
  max-height: 0;
  overflow: hidden;
  transition: all 0.3s ease;
}

.drawer-submenu.active {
  max-height: 500px;
}

.drawer-submenu > li {
  width: 100%;
  font-weight: 400;
  font-size: 14px;
  color: rgba(0, 0, 0, 0.88);
  line-height: 22px;
  text-align: left;
  font-style: normal;
  margin-top: 16px;
}

@media screen and (max-width: 768px) {
  .main {
    width: 100%;
    min-width: 320px;
    margin-top: 56px;
  }

  .footer > .icp > p {
    font-weight: 400;
    font-size: 10px;
    color: rgba(0, 0, 0, 0.65);
    line-height: 18px;
  }

  .carousel {
    width: 100%;
    min-width: 100%;
  }

  .header {
    height: 56px;
    min-width: 100%;
    display: flex;
    justify-content: space-between;
    position: fixed;
    top: 0;
    z-index: 1000;
  }

  .header > h1 > a {
    width: 92;
    height: 24px;
  }

  .header > nav {
    display: none;
  }
  .extend-btn {
    display: block;
  }

  .logo {
    display: none;
  }

  .info > section {
    display: none;
  }

  .info > section.subscriptions {
    display: block;
  }
  .drawer {
    display: block;
  }

  .footer > .info {
    justify-content: center;
  }
}

@media screen and (max-width: 1600px) and (min-width: 768px) {
  html,
  body {
    zoom: 0.75;
  }

  .header > nav > ul > li > a {
    font-size: 24px;
  }

  .footer > .info h4 {
    font-size: 24px;
  }

  .footer > .info ul li a {
    font-size: 24px;
    font-weight: 500;
  }

  .footer > .info ul li a:hover {
    font-size: 24px;
    font-weight: 500;
  }
}
